diff --git a/cicd_testing/do-fuzz.sh b/cicd_testing/do-fuzz.sh
index 51b957ec871ccd3184bae7e2b7f0ae1ac8566502..c5ee229c78a0b8ada8924ec58356c20744f856cf 100755
--- a/cicd_testing/do-fuzz.sh
+++ b/cicd_testing/do-fuzz.sh
@@ -49,7 +49,7 @@ function main()
 		local host=$(hostname)
 		local md=$(echo $upload_report | shyaml get-value markdown)
 		local desc=""
-		set +e
+		set -e
 		read -r -d '' desc << EOM
 Turbo automatically found $crash_count crashes!
 
@@ -61,8 +61,8 @@ Machine details: $mach
 
 Full crash report is available here: $md
 
-EOM 
-		set -e
+EOM
+		set +e
 		local title="Turbo found $crash_count bugs in libEHP on $date"